## sailcut 1.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
include(RelativePath)
include(SailcutDocs)
include(ShipDepends)

# project and version
project(sailcut)
set(SAILCUT_VERSION_MAJOR 1)
set(SAILCUT_VERSION_MINOR 3)
set(SAILCUT_VERSION_PATCH 4)
set(SAILCUT_VERSION ${SAILCUT_VERSION_MAJOR}.${SAILCUT_VERSION_MINOR}.${SAILCUT_VERSION_PATCH})

# dependencies
find_package(Qt4 REQUIRED)
# FIXME: when cross-compiling for mingw32 FindQt4 picks up
# the host's dependencies for QtOpenGl (-lGLU -GL)
if(WIN32)
set(QT_QTOPENGL_LIB_DEPENDENCIES -lopengl32 -lglu32)
endif(WIN32)

# configuration
set(SAILCUT_RUNTIME_DIR bin CACHE STRING "Sailcut runtime directory.")
set(SAILCUT_LIBRARY_DIR lib CACHE STRING "Sailcut library directory.")
set(SAILCUT_DATA_DIR share/${PROJECT_NAME} CACHE STRING "Sailcut data directory.")
set(SAILCUT_DOC_DIR share/doc/${PROJECT_NAME} CACHE STRING "Sailcut documentation directory.")

# packaging
set(CPACK_PACKAGE_CONTACT "info@sailcut.com")
set(CPACK_PACKAGE_DESCRIPTION "Sailcut CAD is a sail design and plotting software")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Sailcut CAD ${SAILCUT_VERSION}")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "Sailcut CAD ${SAILCUT_VERSION}")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
set(CPACK_PACKAGE_EXECUTABLES "sailcut" "Sailcut CAD")
set(CPACK_PACKAGE_VERSION_MAJOR ${SAILCUT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${SAILCUT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${SAILCUT_VERSION_PATCH})
if(APPLE)
	set(CPACK_BUNDLE_NAME ${PROJECT_NAME})
	set(CPACK_BUNDLE_ICON ${CMAKE_SOURCE_DIR}/icons/sailcut.icns)
	set(CPACK_BUNDLE_IDENTIFIER com.sailcut.Sailcut)
	set(CPACK_BUNDLE_PLIST ${CMAKE_BINARY_DIR}/Bundle.plist)
	set(CPACK_BUNDLE_STARTUP_COMMAND ${CMAKE_BINARY_DIR}/Bundle.start)
endif(APPLE)
include(CPack)
configure_file(${CMAKE_SOURCE_DIR}/cmake/Bundle.plist.in ${CMAKE_BINARY_DIR}/Bundle.plist)
configure_file(${CMAKE_SOURCE_DIR}/cmake/Bundle.start.in ${CMAKE_BINARY_DIR}/Bundle.start)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(src)

=== doc/CMakeLists.txt ===
set(docfiles)

if(XSLTPROC AND FIG2DEV)
foreach(language en es fr)
	file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${language})
	transform_figs(pngs
		${language}/coordinates_system.fig
		${language}/sailplan.fig
		${language}/sail_seams.fig
		${language}/sail_edges.fig
		${language}/develop_panel_drawing.fig
		${language}/head_gores_definition.fig
		${language}/rigplan.fig)
	transform_docbook(html sailcut-html.xsl ${language}/index.docbook)
	list(APPEND docfiles ${html} ${pngs})
	install(FILES ${docfiles} DESTINATION ${SAILCUT_DOC_DIR}/html/${language})
endforeach()
install(FILES sailcut-handbook.css DESTINATION ${SAILCUT_DOC_DIR}/html)
else(XSLTPROC AND FIG2DEV)
message(STATUS "Not generating documentation")
endif(XSLTPROC AND FIG2DEV)

add_custom_target(documentation DEPENDS ${docfiles})

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/icons ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(QT_USE_QTOPENGL 1)
set(QT_USE_QTSVG 1)
set(QT_USE_QTXML 1)
include(${QT_USE_FILE})

relative_path(SAILCUT_DATA_PATH ${SAILCUT_RUNTIME_DIR} ${SAILCUT_DATA_DIR})
relative_path(SAILCUT_DOC_PATH ${SAILCUT_RUNTIME_DIR} ${SAILCUT_DOC_DIR})

add_definitions(-DSAILCUT_VERSION="${SAILCUT_VERSION}")
add_definitions(-DSAILCUT_DATA_PATH="${SAILCUT_DATA_PATH}")
add_definitions(-DSAILCUT_DOC_PATH="${SAILCUT_DOC_PATH}")
if(QT_QTOPENGL_FOUND)
add_definitions(-DHAVE_QTOPENGL)
endif(QT_QTOPENGL_FOUND)

set(sailcut_UIS formhulldefbase.ui formrigdefbase.ui formsaildefbase.ui)

set(sailcut_MOC_HEADERS
	boatdef-panel.h
	formboat.h
	formdocument.h
	formhull.h
	formhulldef.h
	formmain.h
	formmould.h
	formpanelgroup.h
	formprint.h
	formrig.h
	formrigdef.h
	formsail.h
	formsaildef.h
	sailprinter.h
	sailtreemodel.h
	sailviewer.h
	sailviewer-panel.h
	sailviewer-tabs.h
	widgetprofile.h
	widgetprofilevert.h)

set(sailcut_SOURCES
	boatdef-panel.cpp
	formboat.cpp
	formhull.cpp
	formhulldef.cpp
	formmain.cpp
	formmould.cpp
	formpanelgroup.cpp
	formrig.cpp
	formprint.cpp
	formrigdef.cpp
	formsail.cpp
	formsaildef.cpp
	main.cpp
	prefs.cpp
	sailcutqt.cpp
	saildisp.cpp
	saildispgl.cpp
	saildisplabel.cpp
	saildoc.cpp
	sailpainter.cpp
	sailprinter.cpp
	sailtreeitem.cpp
	sailtreemodel.cpp
	sailviewer.cpp
	sailviewer-panel.cpp
	sailviewer-tabs.cpp
	sailwriter-carlson.cpp
	sailwriter-dxf.cpp
	sailwriter-hand.cpp
	sailwriter-svg.cpp
	sailwriter-txt.cpp
	widgetprofile.cpp
	widgetprofilevert.cpp)

if(WIN32)
	enable_language(RC)
	set(SAILCUT_VERSION_WIN32 "${SAILCUT_VERSION_MAJOR},${SAILCUT_VERSION_MINOR},${SAILCUT_VERSION_PATCH},0")
	configure_file(${CMAKE_SOURCE_DIR}/cmake/sailcut.rc.in ${CMAKE_CURRENT_BINARY_DIR}/sailcut.rc)
	set(sailcut_SOURCES ${sailcut_SOURCES} sailcut.rc)
endif(WIN32)

qt4_wrap_cpp(sailcut_MOC_SOURCES ${sailcut_MOC_HEADERS})
qt4_wrap_ui(sailcut_UI_SOURCES ${sailcut_UIS})
add_executable(sailcut ${sailcut_SOURCES} ${sailcut_MOC_SOURCES} ${sailcut_UI_SOURCES})
add_dependencies(sailcut documentation)
add_dependencies(sailcut translations)
if (WIN32)
	set_target_properties(sailcut PROPERTIES LINK_FLAGS "-mwindows")
endif(WIN32)
target_link_libraries(sailcut sailcpp geocpp ${QT_LIBRARIES})

ship_depends(sailcut)
install(TARGETS sailcut DESTINATION ${SAILCUT_RUNTIME_DIR})

add_subdirectory(geocpp)
add_subdirectory(sailcpp)
add_subdirectory(ts)

=== src/ts/CMakeLists.txt ===
qt4_add_translation(QMS 
	sailcut_de.ts
	sailcut_dk.ts
	sailcut_fr.ts
	sailcut_it.ts
	sailcut_nl.ts
	sailcut_no.ts
	sailcut_pt.ts
	sailcut_ru.ts)
add_custom_target(translations DEPENDS ${QMS})

install(FILES ${QMS} DESTINATION ${SAILCUT_DATA_DIR})

## sailcut 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,22 +8,17 @@
 project(sailcut)
 set(SAILCUT_VERSION_MAJOR 1)
 set(SAILCUT_VERSION_MINOR 3)
-set(SAILCUT_VERSION_PATCH 4)
+set(SAILCUT_VERSION_PATCH 5)
 set(SAILCUT_VERSION ${SAILCUT_VERSION_MAJOR}.${SAILCUT_VERSION_MINOR}.${SAILCUT_VERSION_PATCH})
 
 # dependencies
 find_package(Qt4 REQUIRED)
-# FIXME: when cross-compiling for mingw32 FindQt4 picks up
-# the host's dependencies for QtOpenGl (-lGLU -GL)
-if(WIN32)
-set(QT_QTOPENGL_LIB_DEPENDENCIES -lopengl32 -lglu32)
-endif(WIN32)
 
 # configuration
 set(SAILCUT_RUNTIME_DIR bin CACHE STRING "Sailcut runtime directory.")
 set(SAILCUT_LIBRARY_DIR lib CACHE STRING "Sailcut library directory.")
 set(SAILCUT_DATA_DIR share/${PROJECT_NAME} CACHE STRING "Sailcut data directory.")
-set(SAILCUT_DOC_DIR share/doc/${PROJECT_NAME} CACHE STRING "Sailcut documentation directory.")
+set(SAILCUT_DOC_DIR share/doc/${PROJECT_NAME}/html CACHE STRING "Sailcut documentation directory.")
 
 # packaging
 set(CPACK_PACKAGE_CONTACT "info@sailcut.com")

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 		${language}/rigplan.fig)
 	transform_docbook(html sailcut-html.xsl ${language}/index.docbook)
 	list(APPEND docfiles ${html} ${pngs})
-	install(FILES ${docfiles} DESTINATION ${SAILCUT_DOC_DIR}/html/${language})
+	install(FILES ${docfiles} DESTINATION ${SAILCUT_DOC_DIR}/${language})
 endforeach()
-install(FILES sailcut-handbook.css DESTINATION ${SAILCUT_DOC_DIR}/html)
+install(FILES sailcut-handbook.css DESTINATION ${SAILCUT_DOC_DIR})
 else(XSLTPROC AND FIG2DEV)
 message(STATUS "Not generating documentation")
 endif(XSLTPROC AND FIG2DEV)

=== icons/CMakeLists.txt ===
include(IconUtilities)

generate_icns(icns sailcut.svg)
generate_ico(ico sailcut.svg)
generate_xpm(xpm panel.svg panelgroup.svg point.svg sailcut.svg)

add_custom_target(icons DEPENDS ${icns} ${ico} ${xpm})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -87,6 +87,9 @@
 add_dependencies(sailcut documentation)
 add_dependencies(sailcut translations)
 if (WIN32)
+	# FIXME: when cross-compiling for mingw32 FindQt4 fails to pick up
+	# the dependencies for QtOpenGl
+	set(QT_LIBRARIES ${QT_LIBRARIES} -lopengl32 -lglu32)
 	set_target_properties(sailcut PROPERTIES LINK_FLAGS "-mwindows")
 endif(WIN32)
 target_link_libraries(sailcut sailcpp geocpp ${QT_LIBRARIES})

=== src/geocpp/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(geocpp STATIC
	geometry.cpp
	matrix.cpp
	subspace.cpp)

add_executable(geotest geotest.cpp)
target_link_libraries(geotest geocpp)

=== src/sailcpp/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(sailcpp STATIC
	boatdef.cpp
	hulldef.cpp
	hullworker.cpp
	panel.cpp
	panelgroup.cpp
	rigdef.cpp
	rigworker.cpp
	sailcalc.cpp
	saildef.cpp
	sailmould.cpp
	sailworker.cpp)

add_executable(sailtest sailtest.cpp)
target_link_libraries(sailtest sailcpp geocpp)

=== debian/changelog ===
sailcut (1.3.5-2) unstable; urgency=low

  * Explicitly link OpenGL support (Closes: #615769).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 28 Feb 2011 11:26:08 +0100

sailcut (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Add a desktop entry file.
  * Update to Standards-Version 3.9.1 (no changes).
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Jan 2011 07:20:39 +0100

sailcut (1.3.4-2) unstable; urgency=low

  * Add Depends on docbook-xsl (Closes: #543005).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 22 Aug 2009 23:41:47 +0200

sailcut (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Depends for switch to CMake.
  * Update to Standards-Version 3.8.2 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 13 Jul 2009 15:05:12 +0200

sailcut (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 15 Mar 2009 21:46:05 +0100

sailcut (1.3.2-2) unstable; urgency=low

  * Fix GCC 4.4 FTBFS due to missing includes (Closes: #505369).
  * Update to Standards-Version 3.8.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 14 Nov 2008 15:11:05 +0100

sailcut (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Change doc-base section from Apps/Graphics to Graphics.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 09 Apr 2008 18:49:55 +0200

sailcut (1.3.1-2) unstable; urgency=low

  * Fix GCC 4.3 FTBFS due to missing includes (Closes: #455634).
  * Fix lintian warning by using Homepage field in debian/control. 

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 11 Dec 2007 08:59:55 +0100

sailcut (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fix crash on startup seen on amd64 (Closes: #408732).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Dec 2007 23:16:23 +0100

sailcut (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Change menu section from Apps/Graphics to Applications/Graphics.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 10 Sep 2007 09:49:17 +0200

sailcut (1.2.4-2) unstable; urgency=low

  * Apply patch from Martin Michlmayr for GCC 4.3 FTBFS (Closes: #417680).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 04 Apr 2007 12:10:16 +0200

sailcut (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Declare versioned Build-Depends on libqt4-dev >= 4.2.0

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Oct 2006 17:14:28 +0200

sailcut (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.7.2
  * Update versioned Build-Depends on debhelper to >= 5
  * Add debian/watch file

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 28 Sep 2006 21:39:32 +0200

sailcut (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 12 Apr 2006 18:51:59 +0200

sailcut (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 25 Jan 2006 22:28:24 +0100

sailcut (1.2.0-3) unstable; urgency=low

  * Fix FTBFS on ia64 with Qt 4.1.0 (patch sailcutqt.cpp) 

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 11 Jan 2006 11:49:34 +0100

sailcut (1.2.0-2) unstable; urgency=low

  * Drop unnecessary Build-Depends on qt4-dev-tools 

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu,  8 Dec 2005 17:05:13 +0100

sailcut (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Build-Depend on libqt4-dev, drop libqt3-mt-dev

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun,  4 Dec 2005 17:04:23 +0100

sailcut (1.1.1-3) unstable; urgency=low

  * Fix packaging of HTML documentation (Closes: #319759)
  * debian/control, debian/changelog : switch to utf8 
  * debian/control : add libglu1-xorg-dev | libglu-dev to Build-Depends

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 30 Aug 2005 01:11:03 +0200

sailcut (1.1.1-2) unstable; urgency=low

  * Update to Standards-Version 3.6.2 

 -- Jeremy Laine <jeremy.laine@m4x.org>  Sun, 26 Jun 2005 01:25:23 +0200

sailcut (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Initial upload to unstable (Closes: #252041)

 -- Jeremy Laine <jeremy.laine@m4x.org>  Sun,  5 Jun 2005 21:28:05 +0200

sailcut (1.1-2) experimental; urgency=low

  * debian/control : set section to 'graphics'

 -- Jeremy Laine <jeremy.laine@m4x.org>  Thu, 19 May 2005 02:35:32 +0200

sailcut (1.1-1) experimental; urgency=low

  * New upstream release
  * Initial upload to Debian (Closes: #252041)

 -- Jeremy Laine <jeremy.laine@m4x.org>  Mon, 16 May 2005 00:33:10 +0200

sailcut (1.0-1) unstable; urgency=low

  * New upstream release

 -- Jeremy Laine <jeremy.laine@m4x.org>  Tue, 21 Dec 2004 08:37:27 +0100

sailcut (0.8.0-1) unstable; urgency=low

  * Improved copyright file and manpage

 -- Jeremy Laine <jeremy.laine@m4x.org>  Mon, 18 Oct 2004 23:10:13 +0200

sailcut (0.7.0-2) unstable; urgency=low

  * Improved copyright file and manpage

 -- Jeremy Laine <jeremy.laine@m4x.org>  Wed,  2 Jun 2004 08:39:59 +0200

sailcut (0.7.0-1) unstable; urgency=low

  * new upstream release
  * debian/sailcut.1
  - updated manpage : sailcut can be given a sail def as an argument

 -- Jeremy Laine <jeremy.laine@m4x.org>  Sun, 30 May 2004 12:04:01 +0200

sailcut (0.6.1-2) unstable; urgency=low

  * debian/menu:
  - quote "needs" and "section"
  * debian/control:
  - updated Standards-Version to 3.6.1

 -- Jeremy Laine <jeremy.laine@m4x.org>  Tue, 13 Apr 2004 17:08:08 +0200

sailcut (0.6.1-1) unstable; urgency=low

  * upstream update
  * debian/control:
  - removed extraneous Build-Depends

 -- Jeremy Laine <jeremy.laine@m4x.org>  Tue,  6 Apr 2004 16:38:19 +0200

sailcut (0.6.0-1) unstable; urgency=low

  * upstream update
  * debian/rules:
  - --enable-opengl is no longer necessary

 -- Jeremy Laine <jeremy.laine@m4x.org>  Wed,  7 Jan 2004 22:45:16 +0100

sailcut (0.5.5-1) unstable; urgency=low

  * upstream update
  * debian/rules:
  - corrected odd installation behaviour



=== debian/control ===
Source: sailcut
Section: graphics
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org> 
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 5), cmake, libqt4-dev (>= 4.2.0), libqt4-opengl-dev, qt4-dev-tools, ghostscript, transfig, xsltproc, docbook-xsl
Homepage: http://sailcut.sourceforge.net

Package: sailcut
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sailcut-doc
Description: A sail design and plotting software
 Sailcut CAD is a sail design and plotting software which allows you to
 design and visualise your own sails and compute the accurate development
 of all panels in flat sheets.  You can export the sails you create to 
 DXF, plaintext or Carlson plotter files.
 .
 Sailcut CAD's user interface is available in English, French, Dutch, 
 German, Italian, Norwegian, Portuguese, Danish and Russian.

Package: sailcut-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: sailcut
Description: Sailcut CAD documentation
 This provides the documentation for Sailcut CAD.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# set defaults to zero
DEB_INSTALL_CHANGELOGS_ALL =
DEB_INSTALL_DOCS_ALL =

# for the "sailcut" package only 
DEB_INSTALL_CHANGELOGS_sailcut = ChangeLog
DEB_INSTALL_DOCS_sailcut = AUTHORS
DEB_INSTALL_MANPAGES_sailcut = debian/sailcut.1

=== debian/watch ===
version=3
http://sf.net/sailcut/sailcut-(.*)\.tar\.gz

## sailcut 1.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.0.0)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
 include(RelativePath)
 include(SailcutDocs)
 include(ShipDepends)
@@ -8,11 +11,20 @@
 project(sailcut)
 set(SAILCUT_VERSION_MAJOR 1)
 set(SAILCUT_VERSION_MINOR 3)
-set(SAILCUT_VERSION_PATCH 5)
+set(SAILCUT_VERSION_PATCH 6)
 set(SAILCUT_VERSION ${SAILCUT_VERSION_MAJOR}.${SAILCUT_VERSION_MINOR}.${SAILCUT_VERSION_PATCH})
 
 # dependencies
-find_package(Qt4 REQUIRED)
+if(USE_QT5)
+    find_package(Qt5LinguistTools REQUIRED)
+    find_package(Qt5OpenGL REQUIRED)
+    find_package(Qt5PrintSupport REQUIRED)
+    find_package(Qt5Svg REQUIRED)
+    find_package(Qt5Widgets REQUIRED)
+    find_package(Qt5Xml REQUIRED)
+else()
+    find_package(Qt4 4.3 REQUIRED QtCore QtGui QtOpenGL QtSvg QtXml)
+endif()
 
 # configuration
 set(SAILCUT_RUNTIME_DIR bin CACHE STRING "Sailcut runtime directory.")
@@ -31,11 +43,11 @@
 set(CPACK_PACKAGE_VERSION_MINOR ${SAILCUT_VERSION_MINOR})
 set(CPACK_PACKAGE_VERSION_PATCH ${SAILCUT_VERSION_PATCH})
 if(APPLE)
-	set(CPACK_BUNDLE_NAME ${PROJECT_NAME})
-	set(CPACK_BUNDLE_ICON ${CMAKE_SOURCE_DIR}/icons/sailcut.icns)
-	set(CPACK_BUNDLE_IDENTIFIER com.sailcut.Sailcut)
-	set(CPACK_BUNDLE_PLIST ${CMAKE_BINARY_DIR}/Bundle.plist)
-	set(CPACK_BUNDLE_STARTUP_COMMAND ${CMAKE_BINARY_DIR}/Bundle.start)
+    set(CPACK_BUNDLE_NAME ${PROJECT_NAME})
+    set(CPACK_BUNDLE_ICON ${CMAKE_SOURCE_DIR}/icons/sailcut.icns)
+    set(CPACK_BUNDLE_IDENTIFIER com.sailcut.Sailcut)
+    set(CPACK_BUNDLE_PLIST ${CMAKE_BINARY_DIR}/Bundle.plist)
+    set(CPACK_BUNDLE_STARTUP_COMMAND ${CMAKE_BINARY_DIR}/Bundle.start)
 endif(APPLE)
 include(CPack)
 configure_file(${CMAKE_SOURCE_DIR}/cmake/Bundle.plist.in ${CMAKE_BINARY_DIR}/Bundle.plist)

=== doc/CMakeLists.txt ===
set(docfiles)

if(XSLTPROC AND FIG2DEV)
foreach(language en es fr)
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${language})
    transform_figs(pngs
        ${language}/coordinates_system.fig
        ${language}/sailplan.fig
        ${language}/sail_seams.fig
        ${language}/sail_edges.fig
        ${language}/develop_panel_drawing.fig
        ${language}/head_gores_definition.fig
        ${language}/rigplan.fig)
    transform_docbook(html sailcut-html.xsl ${language}/index.docbook)
    list(APPEND docfiles ${html} ${pngs})
    install(FILES ${docfiles} DESTINATION ${SAILCUT_DOC_DIR}/${language})
endforeach()
install(FILES sailcut-handbook.css DESTINATION ${SAILCUT_DOC_DIR})
else(XSLTPROC AND FIG2DEV)
message(STATUS "Not generating documentation")
endif(XSLTPROC AND FIG2DEV)

add_custom_target(documentation DEPENDS ${docfiles})

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/icons)

relative_path(SAILCUT_DATA_PATH ${SAILCUT_RUNTIME_DIR} ${SAILCUT_DATA_DIR})
relative_path(SAILCUT_DOC_PATH ${SAILCUT_RUNTIME_DIR} ${SAILCUT_DOC_DIR})

add_definitions(-DSAILCUT_VERSION="${SAILCUT_VERSION}")
add_definitions(-DSAILCUT_DATA_PATH="${SAILCUT_DATA_PATH}")
add_definitions(-DSAILCUT_DOC_PATH="${SAILCUT_DOC_PATH}")

# OpenGL dependencies
if(APPLE)
    set(OPENGL_LIBRARIES "-framework OpenGL -framework AGL")
elseif(WIN32)
    set(OPENGL_LIBRARIES -lopengl32 -lglu32)
else()
    set(OPENGL_LIBRARIES -lGL)
endif()

set(sailcut_UIS formhulldefbase.ui formrigdefbase.ui formsaildefbase.ui)

set(sailcut_SOURCES
    boatdef-panel.cpp
    formboat.cpp
    formdocument.h
    formhull.cpp
    formhulldef.cpp
    formmain.cpp
    formmould.cpp
    formpanelgroup.cpp
    formrig.cpp
    formprint.cpp
    formrigdef.cpp
    formsail.cpp
    formsaildef.cpp
    main.cpp
    prefs.cpp
    sailcutqt.cpp
    saildisp.cpp
    saildispgl.cpp
    saildisplabel.cpp
    saildoc.cpp
    sailpainter.cpp
    sailprinter.cpp
    sailtreeitem.cpp
    sailtreemodel.cpp
    sailviewer.cpp
    sailviewer-panel.cpp
    sailviewer-tabs.cpp
    sailwriter-carlson.cpp
    sailwriter-dxf.cpp
    sailwriter-hand.cpp
    sailwriter-svg.cpp
    sailwriter-txt.cpp
    widgetprofile.cpp
    widgetprofilevert.cpp)

if(WIN32)
    enable_language(RC)
    set(SAILCUT_VERSION_WIN32 "${SAILCUT_VERSION_MAJOR},${SAILCUT_VERSION_MINOR},${SAILCUT_VERSION_PATCH},0")
    configure_file(${CMAKE_SOURCE_DIR}/cmake/sailcut.rc.in ${CMAKE_CURRENT_BINARY_DIR}/sailcut.rc)
    set(sailcut_SOURCES ${sailcut_SOURCES} sailcut.rc)
endif(WIN32)

if(USE_QT5)
    qt5_wrap_ui(sailcut_UI_SOURCES ${sailcut_UIS})
else()
    qt4_wrap_ui(sailcut_UI_SOURCES ${sailcut_UIS})
endif()
add_executable(sailcut ${sailcut_SOURCES} ${sailcut_UI_SOURCES})
add_dependencies(sailcut documentation)
add_dependencies(sailcut translations)
if (WIN32)
    set_target_properties(sailcut PROPERTIES LINK_FLAGS "-mwindows")
endif(WIN32)
if(USE_QT5)
    target_link_libraries(sailcut sailcpp geocpp Qt5::OpenGL Qt5::PrintSupport Qt5::Svg Qt5::Widgets Qt5::Xml ${OPENGL_LIBRARIES})
else()
    target_link_libraries(sailcut sailcpp geocpp Qt4::QtGui Qt4::QtOpenGL Qt4::QtSvg Qt4::QtXml ${OPENGL_LIBRARIES})
endif()

ship_depends(sailcut)
install(TARGETS sailcut DESTINATION ${SAILCUT_RUNTIME_DIR})

add_subdirectory(geocpp)
add_subdirectory(sailcpp)
add_subdirectory(ts)

=== src/geocpp/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(geocpp STATIC
    geometry.cpp
    matrix.cpp
    subspace.cpp)

add_executable(geotest geotest.cpp)
target_link_libraries(geotest geocpp)

=== src/sailcpp/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(sailcpp STATIC
    boatdef.cpp
    hulldef.cpp
    hullworker.cpp
    panel.cpp
    panelgroup.cpp
    rigdef.cpp
    rigworker.cpp
    sailcalc.cpp
    saildef.cpp
    sailmould.cpp
    sailworker.cpp)

add_executable(sailtest sailtest.cpp)
target_link_libraries(sailtest sailcpp geocpp)

=== src/ts/CMakeLists.txt ===
set(QMS_SOURCES
    sailcut_de.ts
    sailcut_dk.ts
    sailcut_fr.ts
    sailcut_it.ts
    sailcut_nl.ts
    sailcut_no.ts
    sailcut_pt.ts
    sailcut_ru.ts)
if(USE_QT5)
    qt5_add_translation(QMS ${QMS_SOURCES})
else()
    qt4_add_translation(QMS ${QMS_SOURCES})
endif()
add_custom_target(translations DEPENDS ${QMS})

install(FILES ${QMS} DESTINATION ${SAILCUT_DATA_DIR})

=== debian/changelog ===
sailcut (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file to point to github.
  * Update to Standards-Version 3.9.6 (no changes).
  * Switch to debhelper 9.
  * Provide high resolution icons.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 10 Jul 2015 17:20:29 +0200

=== debian/control ===
Source: sailcut
Section: graphics
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org> 
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), cmake, libqt4-dev (>= 4.2.0), libqt4-opengl-dev, qt4-dev-tools, ghostscript, transfig, xsltproc, docbook-xsl, inkscape
Homepage: http://www.sailcut.com
Vcs-Git: git://anonscm.debian.org/collab-maint/sailcut.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sailcut.git

Package: sailcut
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sailcut-doc
Description: Sail design and plotting software
 Sailcut CAD is a sail design and plotting software which allows you to
 design and visualise your own sails and compute the accurate development
 of all panels in flat sheets.  You can export the sails you create to
 DXF, plaintext or Carlson plotter files.
 .
 Sailcut CAD's user interface is available in English, French, Dutch, 
 German, Italian, Norwegian, Portuguese, Danish and Russian.

Package: sailcut-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: sailcut
Description: Sailcut CAD documentation
 Sailcut CAD is a sail design and plotting software which allows you to
 design and visualise your own sails and compute the accurate development
 of all panels in flat sheets.  You can export the sails you create to
 DXF, plaintext or Carlson plotter files.
 .
 This package provides the documentation for Sailcut CAD.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --list-missing

override_dh_auto_install:
	dh_auto_install
	for i in 16 24 32 48 64 128 256; do \
		mkdir -p debian/sailcut/usr/share/icons/hicolor/$${i}x$${i}/apps; \
		inkscape -z --export-png=debian/sailcut/usr/share/icons/hicolor/$${i}x$${i}/apps/sailcut.png --export-width=$$i --export-height=$$i icons/sailcut.svg; \
	done

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sailcut-$1\.tar\.gz/ \
  https://github.com/sailcut/sailcut/tags .*/v?(\d\S*)\.tar\.gz

## sailcut 1.4.1

=== debian/changelog ===
sailcut (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update inkscape args to fix FTBFS. (Closes: #959606)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 19 Jun 2020 11:10:18 +0100

sailcut (1.4.1-2) unstable; urgency=medium

  * Add missing header includes (Closes: #907150).
  * Update to Standards-Version 4.2.1.
  * Update VCS links to point to salsa.debian.org.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 08 Sep 2018 18:06:07 +0200

sailcut (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch from cmake to qmake.
  * Update to Standards-Version 4.0.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 11 Sep 2017 14:36:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,21 @@
 Source: sailcut
 Section: graphics
 Priority: optional
-Maintainer: Jeremy Lainé <jeremy.laine@m4x.org> 
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), cmake, libqt4-dev (>= 4.2.0), libqt4-opengl-dev, qt4-dev-tools, ghostscript, transfig, xsltproc, docbook-xsl, inkscape
+Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 9),
+               docbook-xsl,
+               ghostscript,
+               inkscape,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               qtbase5-dev,
+               qttools5-dev-tools,
+               transfig,
+               xsltproc
 Homepage: http://www.sailcut.com
-Vcs-Git: git://anonscm.debian.org/collab-maint/sailcut.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sailcut.git
+Vcs-Git: https://salsa.debian.org/debian/sailcut.git
+Vcs-Browser: https://salsa.debian.org/debian/sailcut
 
 Package: sailcut
 Architecture: any
@@ -18,7 +27,7 @@
  of all panels in flat sheets.  You can export the sails you create to
  DXF, plaintext or Carlson plotter files.
  .
- Sailcut CAD's user interface is available in English, French, Dutch, 
+ Sailcut CAD's user interface is available in English, French, Dutch,
  German, Italian, Norwegian, Portuguese, Danish and Russian.
 
 Package: sailcut-doc

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = qt5

%:
	dh $@ --parallel --list-missing

override_dh_auto_install:
	make -C src docs
	touch src/src.pro
	dh_auto_install
	for i in 16 24 32 48 64 128 256; do \
		mkdir -p debian/sailcut/usr/share/icons/hicolor/$${i}x$${i}/apps; \
		inkscape --export-type=png --export-filename=debian/sailcut/usr/share/icons/hicolor/$${i}x$${i}/apps/sailcut.png --export-width=$$i --export-height=$$i icons/sailcut.svg; \
	done

.PHONY: override_dh_auto_test

## sailcut 1.5.0

=== debian/changelog ===
sailcut (1.5.0-2) unstable; urgency=medium

  * Provide AppStream metainfo.
  * d/control: Update Standards-Version to 4.7.2.
  * d/rules: Install SVG version of the application icon.
  * d/rules: Strip non-deterministic output from generated SVG images.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 12 Apr 2025 02:14:00 +0200

sailcut (1.5.0-1) unstable; urgency=medium

  [ Jeremy Lainé ]
  * New upstream release.
  * Update build dependencies for Qt 6.
  * Update to Standards-Version 4.5.1.
  * Drop patches merged upstream.
  * d/compat: remove in favour of debhelper-compat dependency.
  * d/copyright: update years, remove postal address.
  * d/rules: enable hardening flags.
  * d/sailcut.desktop: add Comment and Keywords entries.
  * d/watch: update to version 4.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 10 Apr 2025 10:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: graphics
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
                docbook-xsl,
                ghostscript,
                inkscape,
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
-               qtbase5-dev,
-               qttools5-dev-tools,
+               libqt6opengl6-dev,
+               qt6-base-dev,
+               qt6-l10n-tools,
+               qt6-svg-dev,
                transfig,
                xsltproc
 Homepage: http://www.sailcut.com
@@ -35,6 +35,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: sailcut
+Multi-Arch: foreign
 Description: Sailcut CAD documentation
  Sailcut CAD is a sail design and plotting software which allows you to
  design and visualise your own sails and compute the accurate development

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=qmake6

override_dh_auto_install:
	make -C src docs
	touch src/src.pro
	dh_auto_install
	# Install icons.
	mkdir -p debian/sailcut/usr/share/icons/hicolor/scalable/apps
	cp icons/sailcut.svg debian/sailcut/usr/share/icons/hicolor/scalable/apps
	for i in 16 24 32 48 64 128 256; do \
		mkdir -p debian/sailcut/usr/share/icons/hicolor/$${i}x$${i}/apps; \
		inkscape -z --export-png=debian/sailcut/usr/share/icons/hicolor/$${i}x$${i}/apps/sailcut.png --export-width=$$i --export-height=$$i icons/sailcut.svg; \
	done
	# Strip metadata from documentation SVG for reproducible builds.
	sed -i -e 's/<!-- \(Creator\|CreationDate\): .* -->//g' debian/tmp/usr/share/doc/sailcut/html/*/*.svg


.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
https://github.com/sailcut/sailcut/tags .*/v?(\d.*)\.tar\.gz
